1.9.8.85 update refusing to install

Ask for help about NoScript, no registration needed to post
BillF

1.9.8.85 update refusing to install

Post by BillF » Mon Sep 14, 2009 11:19 am

I tried to update to NoScript 1.9.8.85 this morning. The update failed and I received this error message.

Firefox could not install the file at

http://releases.mozilla.org/pub/mozilla ... +sm+fn.xpi

because: Download error
-228

This happens repeatedly.
Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)

catcatcat

Re: 1.9.8.85 update refusing to install

Post by catcatcat » Mon Sep 14, 2009 12:09 pm

Same problem here. Currently I have NS 1.9.8.8. I've tried clearing the cache, doing a disk clean, rebooting and nothing is working. ... I press "find updates", it informs me that update 1.9.8.85 is available, I click "install", and it says "waiting" for about 10secs and then the following alert appears:

Firefox could not install the file at

http://releases.mozilla.org/pub/mozilla ... +sm+fn.xpi

because: Download error
-228

I'm using FF 3.5.3 and I also have AVG safe search 8.5 and Adblock+ installed as extensions. Hopefully someone can help? I searched the FAQ and there was no mention of this error.
Mozilla/5.0 (Windows; U; Windows NT 6.0; en-GB; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)

BillF

Re: 1.9.8.85 update refusing to install

Post by BillF » Mon Sep 14, 2009 12:17 pm

I loaded 1.9.8.86 directly from the NoScript Web site and that one installed fine. So it may be a file corruption problem with the file that Firefox points to for downloading.
Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)

catcatcat

Re: 1.9.8.85 update refusing to install

Post by catcatcat » Mon Sep 14, 2009 12:23 pm

Bil F - Thanks for letting me (and anyone else affected) know that. The only thing I'm concerned about is whether update 1.9.8.85 will be included with 1.9.8.86?

Also, did you have to uninstall NS at all to update directly from the website? Would you mind linking me to exactly where to get that update you installed (just incase this problem isn't fixed soon). Thanks a lot.
Mozilla/5.0 (Windows; U; Windows NT 6.0; en-GB; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)

BillF

Re: 1.9.8.85 update refusing to install

Post by BillF » Mon Sep 14, 2009 12:31 pm

CatCatCat, I'm pretty sure that each update is cumulative. I have missed installing intervening updates in the past and it hasn't caused me any headaches. I did not uninstall either Firefox or NoScript; simply clicked on the 1.9.8.86 download link at the NoScript Web site.

HTH.
Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)

catcatcat

Re: 1.9.8.85 update refusing to install - UPDATED INFO

Post by catcatcat » Mon Sep 14, 2009 12:33 pm

OK - I just had another go updating through the find updates in FF extensions, and this time I successfully updated to 1.9.8.85. I then pressed find update again after FF was restarted fully expecting to be offered 1.9.8.86 and I'm told no updates are available?! The NS homepage reports that 1.9.8.86 is that latest version, so I'm not quite sure what's happened there.

I'll check back tomorrow and see if there is an update offered or an explanation posted.

EDIT - BillF I just saw your reply as I went to hit post. Thanks a lot. Willl try that if I'm not winning tomorrow. :)
Mozilla/5.0 (Windows; U; Windows NT 6.0; en-GB; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)

BillF

Re: 1.9.8.85 update refusing to install

Post by BillF » Mon Sep 14, 2009 12:36 pm

CatCatCat, the update that Firefox points to is often one level behind the official NoScript available version. This has happened to me several times in the past. You can either wait until Firefox catches up or download from the NoScript site. HTH.
Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)

Jim Too
Senior Member
Posts: 58
Joined: Mon Mar 23, 2009 4:30 pm

Re: 1.9.8.85 update refusing to install - UPDATED INFO

Post by Jim Too » Mon Sep 14, 2009 12:37 pm

catcatcat wrote:OK - I just had another go updating through the find updates in FF extensions, and this time I successfully updated to 1.9.8.85. I then pressed find update again after FF was restarted fully expecting to be offered 1.9.8.86 and I'm told no updates are available?! The NS homepage reports that 1.9.8.86 is that latest version, so I'm not quite sure what's happened there.

I'll check back tomorrow and see if there is an update offered or an explanation posted.

EDIT - BillF I just saw your reply as I went to hit post. Thanks a lot. Willl try that if I'm not winning tomorrow. :)


At the time of this posting, 1.9.86 is still marked experimental at addons.mozilla.org.
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.3a1pre) Gecko/20090913 Minefield/3.7a1pre

BillF

Re: 1.9.8.85 update refusing to install

Post by BillF » Mon Sep 14, 2009 12:45 pm

Jim Too, Mozilla says that .86 is still experimental, but at NoScript it's offered as the official download version. I've always assumed that Mozilla just runs a little behind NS and that the NS version is the real deal. Not so?
Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)

catcatcat

Re: 1.9.8.85 update refusing to install

Post by catcatcat » Mon Sep 14, 2009 12:48 pm

Ah I see! Thanks Jim Too. So that presumably means that 1.9.8.86 will be offered in time via the usual upadte process in FF?

Just for future reference, how can one check if an update is not experimental? I just looked on the NS website and in the changelog but couldn't see anything obvious there.
Mozilla/5.0 (Windows; U; Windows NT 6.0; en-GB; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)

catcatcat

Re: 1.9.8.85 update refusing to install

Post by catcatcat » Mon Sep 14, 2009 12:51 pm

BillF wrote:CatCatCat, the update that Firefox points to is often one level behind the official NoScript available version. This has happened to me several times in the past. You can either wait until Firefox catches up or download from the NoScript site. HTH.


OK thanks. I actually didn't realise that. That explains it, and also Jim Too's explanation about it being "experimental".

(OK I really am signing off now because it is 12.49am!) :shock:
Mozilla/5.0 (Windows; U; Windows NT 6.0; en-GB; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)

Grumpy Old Lady
Senior Member
Posts: 240
Joined: Fri Jul 03, 2009 7:20 am

Re: 1.9.8.85 update refusing to install

Post by Grumpy Old Lady » Mon Sep 14, 2009 5:04 pm

A couple of extra general points about NS updates/versions that may help those who are lost in the Mozilla Addons maze:

Firstly:
AMO (addons.mozilla.org) is, as can be imagined, one of the most trafficked sites around, so a failure of an extension download from time to time is not unusual, especially a NS download; there are millions hammering it when the US wakes up these days. Most of the time, returning after an hour or two will find everything downloading properly.
If a user can't wait for the Latest Official via AMO, then I can report that I've only ever found http://noscript.net/getit out to lunch once. NoScript's downloads are via a secure link, just as the AMO ones are.

Secondly: There are in fact most of the time no "experimental" development versions of NS: The Latest Development version is, because of the way Giorgio works, a cumulative version that simply hasn't been released to AMO, mainly for updating usability and convenience reasons, not experimental ones. AMO has too much lag in its approval process for the speed of NS development at times, and some users (AMO included ;-)) still haven't grasped the desirability of keeping NS absolutely current.
So, the Latest Development has extra goodness over the AMO one every time :-) Giorgio would never knowingly release something of which the security was not absolutely the best he can provide.
So most of the time the Latest Development version is just as good to install as the Stable ones, and in fact it is the most up-to-date one that you must use if you want to report bugs or get support. Additionally, using the Latest Development will give Giorgio very valuable data for monitoring his work, and will help to find the occasional show-stopper for a hard-working developer - - before the rest of the AMO community downloads it and rushes here to find a fix! What could be a better way to contribute to a free as in beer application?
EDIT: once to fix linkification and to strike out unnecessary phrase :-)
Last edited by Grumpy Old Lady on Thu Sep 17, 2009 6:55 am, edited 1 time in total.
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3

catcatcat

Re: 1.9.8.85 update refusing to install

Post by catcatcat » Mon Sep 14, 2009 8:19 pm

1.9.8.86 was offered when I opened up FF today, and it installed with no problems. :)

@ Grumpy Old Lady - Thanks for taking the time to explain everything. It was helpful. My reason for posting here last night is because of all the zillions of NS users out there, only one other person had posted about the issue (after I had been trying to upload for some hours), which made me wonder if it was something my end (or only affecting a handful of people) as opposed to a server overload or something at the "their" end. It is also the first time I've ever had an issue with updating any add on in FF, or anything mozilla related.

Yup NS is wonderful. Thanks Georgio!
Mozilla/5.0 (Windows; U; Windows NT 6.0; en-GB; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)

Post Reply